AttributeContainer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Interface AttributeContainer

All Superinterfaces:
  Type

All Known Subinterfaces:
  Hierarchical

All Known Implementing Classes:
  AbstractAttributeContainer, Component, Entity, NonEntity, Superclass

    public interface AttributeContainer

extends Type

Basic contract for any container holding attributes. This allows polymorphic handling of both components and entities in terms of the attributes they hold.

Method Summary
`Set<Attribute>` | `attributes()` Retrieve the attributes contained in this container.
`PluralAttribute` | `createBag(String name)`
`SingularAttribute` | `createComponentAttribute(String name, Component component)`
`IndexedPluralAttribute` | `createList(String name)`
`IndexedPluralAttribute` | `createMap(String name)`
`PluralAttribute` | `createSet(String name)`
`SingularAttribute` | `createSingularAttribute(String name)`
`SingularAttribute` | `createVirtualSingularAttribute(String name)`
`String` | `getRoleBaseName()` Obtain the name of this container in terms of creating attribute role names.
`Attribute` | `locateAttribute(String name)` Retrieve an attribute by name.
`PluralAttribute` | `locateBag(String name)`
`SingularAttribute` | `locateComponentAttribute(String name)`
`IndexedPluralAttribute` | `locateList(String name)`
`IndexedPluralAttribute` | `locateMap(String name)`
`PluralAttribute` | `locatePluralAttribute(String name)`
`PluralAttribute` | `locateSet(String name)`
`SingularAttribute` | `locateSingularAttribute(String name)`

Methods inherited from interface org.hibernate.metamodel.domain.Type
`getClassName, getClassReference, getClassReferenceUnresolved, getName, isAssociation, isComponent`

Method Detail

### getRoleBaseName

    String getRoleBaseName()

  Obtain the name of this container in terms of creating attribute role names.

  NOTE : A role uniquely names each attribute. The role name is the name of the attribute prefixed by the "path" to its container.

  Returns:
    The container base name for role construction.

### locateAttribute

    Attribute locateAttribute(String name)

  Retrieve an attribute by name.

  Parameters:
    `name` - The name of the attribute to retrieve.
  Returns:
    The attribute matching the given name, or null.

### attributes

    Set<Attribute> attributes()

  Retrieve the attributes contained in this container.

  Returns:
    The contained attributes

### locateSingularAttribute

    SingularAttribute locateSingularAttribute(String name)

### createSingularAttribute

    SingularAttribute createSingularAttribute(String name)

### createVirtualSingularAttribute

    SingularAttribute createVirtualSingularAttribute(String name)

### locateComponentAttribute

    SingularAttribute locateComponentAttribute(String name)

### createComponentAttribute

    SingularAttribute createComponentAttribute(String name,
                                               Component component)

### locatePluralAttribute

    PluralAttribute locatePluralAttribute(String name)

### locateBag

    PluralAttribute locateBag(String name)

### createBag

    PluralAttribute createBag(String name)

### locateSet

    PluralAttribute locateSet(String name)

### createSet

    PluralAttribute createSet(String name)

### locateList

    IndexedPluralAttribute locateList(String name)

### createList

    IndexedPluralAttribute createList(String name)

### locateMap

    IndexedPluralAttribute locateMap(String name)

### createMap

    IndexedPluralAttribute createMap(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.